Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1947053 - perl-POE-1.370-5.fc38: FTBFS in Fedora 38: inactivity timeout reached! at /usr/share/perl5/vendor_perl/POE/Test/Loops/wheel_run.pm line 149
Summary: perl-POE-1.370-5.fc38: FTBFS in Fedora 38: inactivity timeout reached! at /us...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-POE
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Josef Spacek
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
: 1987801 (view as bug list)
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F35FTBFS F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-04-07 14:51 UTC by Jitka Plesnikova
Modified: 2023-08-14 12:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 75299 0 None None None 2021-04-08 10:59:58 UTC

Description Jitka Plesnikova 2021-04-07 14:51:52 UTC
Description of problem:
Package perl-POE fails to build from source in Fedora rawhide.

setsid() failed, strange behavior may result: Operation not permitted
setsid() failed, strange behavior may result: Operation not permitted
setsid() failed, strange behavior may result: Operation not permitted
setsid() failed, strange behavior may result: Operation not permitted
#   Failed test 'Wed Mar 31 09:45:31 2021 - coderef/shutdown stdout response'
#   at /usr/share/perl5/vendor_perl/POE/Test/Loops/wheel_run.pm line 337.
#          got: 'out63188: got alarm'
#     expected: 'out63188: got eof 1'
Wed Mar 31 09:46:01 2021 - inactivity timeout reached! at /usr/share/perl5/vendor_perl/POE/Test/Loops/wheel_run.pm line 149.
# Looks like your test exited with 1 just after 99.
t/30_loops/io_poll/wheel_run.t ..................... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 5/103 subtests 

t/30_loops/io_poll/wheel_run.t                   (Wstat: 256 Tests: 99 Failed: 1)


Steps to Reproduce:
koji build --scratch f35 perl-POE-1.368-5.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/perl-POE

Comment 1 Petr Pisar 2021-04-08 10:59:58 UTC
There was another failed test:

setsid() failed, strange behavior may result: Operation not permitted
setsid() failed, strange behavior may result: Operation not permitted
setsid() failed, strange behavior may result: Operation not permitted
setsid() failed, strange behavior may result: Operation not permitted
Wed Mar 31 09:47:03 2021 - inactivity timeout reached! at /usr/share/perl5/vendor_perl/POE/Test/Loops/wheel_run.pm line 149.
# Looks like your test exited with 1 just after 99.
t/30_loops/select/wheel_run.t ...................... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 4/103 subtests 

Both the tests are from /usr/share/perl5/vendor_perl/POE/Test/Loops/wheel_run.pm owned by perl-POE-Test-Loops-1.360-19.fc34.noarch package.

I experience the failure randomly and it seem to be nothing new according to a CPAN test matrix. This is CPAN RT#75299.

Comment 2 Petr Pisar 2021-04-08 11:13:35 UTC
I can also reproduce it on Fedora 32. That's not a regression.

Comment 3 Fedora Admin user for bugzilla script actions 2021-04-10 00:43:55 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Michal Josef Spacek 2021-08-04 08:37:50 UTC
*** Bug 1987801 has been marked as a duplicate of this bug. ***

Comment 5 Ben Cotton 2021-08-10 12:58:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Michal Josef Spacek 2022-06-29 13:27:03 UTC
Same issue is with perl-POE-Loop-Event package in same test.

Comment 7 Ben Cotton 2022-11-29 16:54:58 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 8 Michal Josef Spacek 2022-12-12 13:56:08 UTC
Definitely, issue is based on the message from test:
> # Sat Dec 10 19:56:47 2022 - coderef/pty: write error 4: Interrupted system call

The minimal test which is failing is still too big. Consists of two sections (pty and default, independent of order):

for my $chld_program (@chld_programs) {
  my ($chld_name, $chld_code) = @$chld_program;

  create_test_session(
    "$chld_name/pty",
    $chld_code, # program
    "pty", # conduit
    \@one_stream_expected # expected
  );

  create_test_session(
    "$chld_name/default",
    $chld_code, # program
    undef, # conduit
    \@two_stream_expected # expected
  );
}

Comment 9 Ben Cotton 2023-02-07 15:10:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.


Note You need to log in before you can comment on or make changes to this bug.